# gnome-print-job-preview

## Name

gnome-print-job-preview --

## Synopsis

    struct      GnomePrintJobPreview;
    struct      GnomePrintJobPreviewClass;
    #define     GNOME_TYPE_PRINT_JOB_PREVIEW
    #define     GNOME_PRINT_JOB_PREVIEW         (o)
    #define     GNOME_PRINT_JOB_PREVIEW_CLASS   (k)
    #define     GNOME_IS_PRINT_JOB_PREVIEW      (o)
    #define     GNOME_IS_PRINT_JOB_PREVIEW_CLASS(k)
    #define     GNOME_PRINT_JOB_PREVIEW_GET_CLASS(o)
    GtkType     gnome_print_job_preview_get_type
                                                (void);
    GtkWidget*  gnome_print_job_preview_new     (GnomePrintJob *gpm,
                                                 const guchar *title);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GnomePrintJobPreview

## Implemented Interfaces

GnomePrintJobPreview implements AtkImplementorIface.

## Properties

      "nx"                   gulong                : Read / Write
      "ny"                   gulong                : Read / Write

## Description

## Details

### struct GnomePrintJobPreview

    struct GnomePrintJobPreview;

### struct GnomePrintJobPreviewClass

    struct GnomePrintJobPreviewClass;

### GNOME_TYPE_PRINT_JOB_PREVIEW

    #define GNOME_TYPE_PRINT_JOB_PREVIEW         (gnome_print_job_preview_get_type ())

### GNOME_PRINT_JOB_PREVIEW()

    #define GNOME_PRINT_JOB_PREVIEW(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PRINT_JOB_PREVIEW, GnomePrintJobPreview))

o : |

### GNOME_PRINT_JOB_PREVIEW_CLASS()

    #define GNOME_PRINT_JOB_PREVIEW_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST ((k),    GNOME_TYPE_PRINT_JOB_PREVIEW, GnomePrintJobPreviewClass))

k : |

### GNOME_IS_PRINT_JOB_PREVIEW()

    #define GNOME_IS_PRINT_JOB_PREVIEW(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PRINT_JOB_PREVIEW))

o : |

### GNOME_IS_PRINT_JOB_PREVIEW_CLASS()

    #define GNOME_IS_PRINT_JOB_PREVIEW_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k),    GNOME_TYPE_PRINT_JOB_PREVIEW))

k : |

### GNOME_PRINT_JOB_PREVIEW_GET_CLASS()

    #define GNOME_PRINT_JOB_PREVIEW_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o),  GNOME_TYPE_PRINT_JOB_PREVIEW, GnomePrintJobPreviewClass))

o : |

### gnome_print_job_preview_get_type ()

    GtkType     gnome_print_job_preview_get_type
                                                (void);

Returns : |

### gnome_print_job_preview_new ()

    GtkWidget*  gnome_print_job_preview_new     (GnomePrintJob *gpm,
                                                 const guchar *title);

gpm : |
title : |
Returns : |

## Properties

### The "nx" property

      "nx"                   gulong                : Read / Write

Number of pages horizontally.

Allowed values: [1,65535]

### The "ny" property

      "ny"                   gulong                : Read / Write

Number of pages vertically.

Allowed values: [1,65535]